#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Event
%define		pnam	Event-RPC
Summary:	Event::RPC - Event based transparent Client/Server RPC framework
Summary(pl.UTF-8):	Event::RPC - oparty na zdarzeniach szkielet przezroczystego klienta/serwera RPC
Name:		perl-Event-RPC
Version:	1.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	1539ff86cfbdef1a40c502a6454100cf
URL:		http://search.cpan.org/dist/Event-RPC/
BuildRequires:	perl-AnyEvent
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Event based transparent Client/Server RPC framework.

%description -l pl.UTF-8
Oparty na zdarzeniach szkielet przezroczystego klienta/serwera RPC.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Event/RPC.pm
%{perl_vendorlib}/Event/RPC
%{_mandir}/man3/*
%changelog
* Thu Dec 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Event-RPC.git;a=log;h=master

* Thu Dec 05 2013 Jan Rękorajski <baggins@pld-linux.org> 6db7f89
- up to 1.03

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 0d77265
- up to 1.01

* Tue Aug 07 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 9e6f7d6
- rel.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 577d0a5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b9a4a47
- converted to UTF-8

* Thu Aug 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 25e0909
- pl, generic URL, noarch

* Sun Aug 20 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 4744470
- new

